Remove border around menubars
ClosedPublic

Authored by zzag on Apr 9 2018, 12:16 AM.

Details

Summary

Before

After

Before(dark theme)

After(dark theme)

Diff Detail

Repository
R98 Breeze for Gtk
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zzag created this revision.Apr 9 2018, 12:16 AM
Restricted Application added a project: Plasma. · View Herald TranscriptApr 9 2018, 12:16 AM
Restricted Application added a subscriber: plasma-devel. · View Herald Transcript
zzag requested review of this revision.Apr 9 2018, 12:16 AM
zzag edited the summary of this revision. (Show Details)Apr 9 2018, 12:18 AM
zzag added a reviewer: Breeze.
ngraham added a subscriber: ngraham.Apr 9 2018, 1:05 AM
zzag retitled this revision from Delete border around menubars to Remove border around menubars.Apr 15 2018, 8:12 PM

In fact, we've got an open request to add this line to the Breeze theme for Qt apps...

https://bugs.kde.org/show_bug.cgi?id=386306

zzag abandoned this revision.Apr 15 2018, 11:37 PM

In fact, we've got an open request to add this line to the Breeze theme for Qt apps...

https://bugs.kde.org/show_bug.cgi?id=386306

OK, I won't insist on this change. That's not really hard to patch breeze gtk theme. :)

I didn't want to kill this revision, sorry! Just wanted to throw that out there for discussion purposes.

In fact, please re-open this. Let's have an actual discussion about this, and sorry for the silence so far...

zzag reclaimed this revision.Apr 16 2018, 4:25 PM

Oh, I misunderstood you.

ngraham accepted this revision.May 30 2018, 5:11 PM

Revisiting this, I think there's value in matching how Breeze does it at even if just for simple consistency's sake. If we ever change Breeze, we can change this back.

This revision is now accepted and ready to land.May 30 2018, 5:11 PM
zzag added a comment.May 30 2018, 5:44 PM

Please, don't land it yet.

I wasn't planning to. :)

zzag updated this revision to Diff 35206.May 30 2018, 5:46 PM

Delete redundant border: none; rules

zzag added a comment.May 30 2018, 5:48 PM

@ngraham Also, who maintains Breeze GTK theme?

ngraham added a subscriber: jackg.May 30 2018, 5:49 PM
In D12055#270986, @zzag wrote:

@ngraham Also, who maintains Breeze GTK theme?

@jackg does, IIRC.

zzag added a reviewer: jackg.May 30 2018, 5:49 PM
In D12055#270986, @zzag wrote:

@ngraham Also, who maintains Breeze GTK theme?

@jackg does, IIRC.

Thanks.

zzag added a reviewer: VDG.May 30 2018, 5:59 PM
filipf added a subscriber: filipf.Mar 22 2019, 6:16 PM

These borders are still pretty bad looking, I think we should go through with this.

ndavis added a subscriber: ndavis.Fri, Mar 22, 7:22 PM

I don't see this border at all in the current version of Breeze GTK with Firefox.

abetts added a subscriber: abetts.Fri, Mar 22, 7:32 PM

+1 for visual improvement

I don't see this border at all in the current version of Breeze GTK with Firefox.

Try with a non-default theme

zzag updated this revision to Diff 54576.Fri, Mar 22, 8:52 PM

rebase

I don't see this border at all in the current version of Breeze GTK with Firefox.

Try with a non-default theme

Ok, I see what you mean. +1 to this change

ngraham accepted this revision.Sun, Mar 24, 3:56 PM

+1 here too. Go ahead and land this!

This revision was automatically updated to reflect the committed changes.